## postgresql-unit 1.1

=== Makefile ===
MODULE_big = unit
OBJS = unit.o unitparse.yy.o unitparse.tab.o
EXTENSION = unit
DATA = unit--1.sql
REGRESS = unit prefix functions derived compare aggregate
EXTRA_CLEAN = unitparse.yy.* powers powers.o unittest unittest.o # unitparse.tab.*

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

PG_VERSION_NUM = $(shell awk '/PG_VERSION_NUM/ { print $$3 }' $(shell $(PG_CONFIG) --includedir-server)/pg_config.h)
HAS_CROSSTAB = $(shell [ $(PG_VERSION_NUM) -ge 90600 ] && echo yes)
ifeq ($(HAS_CROSSTAB),yes)
REGRESS += crosstab
endif

unit.o: unit.c unit.h defined_units.h

unitparse.yy.c: unitparse.l
	flex -o $@ $<

unitparse.yy.o: unit.h defined_units.h unitparse.tab.c # actually unitparse.tab.h

unitparse.tab.c: unitparse.y
ifneq ($(shell bison --version | grep 'Bison..2'),)
	echo "### bison 2 detected, using pre-built unitparse.tab.c and .h files ###" # remove this hack once wheezy and precise are gone
	touch $@
else
	bison -d $<
endif

unitparse.tab.o: unit.h defined_units.h

# test program
unittest: unitparse.yy.o unitparse.tab.o unittest.o
	gcc -o $@ $^ -lm

# powers-of-10 template
powers: powers.c
	gcc -o $@ $^ -lm

=== debian/changelog ===
postgresql-unit (1.1) unstable; urgency=medium

  * Use float8out_internal to format floats on output.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Oct 2016 11:55:43 +0100

postgresql-unit (1.0) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Sep 2016 15:42:55 +0200

## postgresql-unit 2.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 MODULE_big = unit
 OBJS = unit.o unitparse.yy.o unitparse.tab.o
 EXTENSION = unit
-DATA = unit--1.sql
-REGRESS = unit prefix functions derived compare aggregate
-EXTRA_CLEAN = unitparse.yy.* powers powers.o unittest unittest.o # unitparse.tab.*
+DATA = unit--1.sql unit--1--2.sql unit--2.sql
+REGRESS = extension tables unit prefix functions derived compare aggregate iec
+#REGRESS += upgrade
+EXTRA_CLEAN = unitparse.yy.* powers powers.o unittest unittest.o unit-*.dump # unitparse.tab.*
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
@@ -12,10 +13,10 @@
 PG_VERSION_NUM = $(shell awk '/PG_VERSION_NUM/ { print $$3 }' $(shell $(PG_CONFIG) --includedir-server)/pg_config.h)
 HAS_CROSSTAB = $(shell [ $(PG_VERSION_NUM) -ge 90600 ] && echo yes)
 ifeq ($(HAS_CROSSTAB),yes)
-REGRESS += crosstab
+REGRESS += crosstab convert
 endif
 
-unit.o: unit.c unit.h defined_units.h
+unit.o: unit.c unit.h defined_units.h float8out_internal.h
 
 unitparse.yy.c: unitparse.l
 	flex -o $@ $<

=== debian/changelog ===
postgresql-unit (2.0) unstable; urgency=medium

  * Support IEC binary prefixes for byte.
  * Support United States customary units: in, ft, yd, mi, oz, lb.
  * Add variance and stddev aggregates; bump extension version to 2.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Jan 2017 22:24:23 +0100

## postgresql-unit 2.0.pgdg16.04+1

=== debian/changelog ===
postgresql-unit (2.0.pgdg16.04+1) xenial-pgdg; urgency=medium

  * Rebuild for xenial-pgdg (jenkins-postgresql-unit-source-
    distribution=xenial-8, dcd911642b6bf849c8a877afe466b97707792471/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Mon, 09 Jan 2017 22:33:23 +0100

## postgresql-unit 2.0.pgdg+1

=== debian/changelog ===
postgresql-unit (2.0.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg (jenkins-postgresql-unit-source-
    distribution=sid-8, dcd911642b6bf849c8a877afe466b97707792471/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Mon, 09 Jan 2017 22:33:03 +0100

=== debian/control ===
Source: postgresql-unit
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 bison,
 debhelper (>> 9),
 flex,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 3.9.8
Vcs-Git: https://github.com/ChristophBerg/postgresql-unit.git
Vcs-Browser: https://github.com/ChristophBerg/postgresql-unit
Homepage: https://github.com/ChristophBerg/postgresql-unit

Package: postgresql-9.6-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

## postgresql-unit 4.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,17 @@
 MODULE_big = unit
 OBJS = unit.o unitparse.yy.o unitparse.tab.o
 EXTENSION = unit
-DATA = unit--1.sql unit--1--2.sql unit--2.sql
-REGRESS = extension tables unit prefix functions derived compare aggregate iec
-#REGRESS += upgrade
-EXTRA_CLEAN = unitparse.yy.* powers powers.o unittest unittest.o unit-*.dump # unitparse.tab.*
+DATA = unit_prefixes.data unit_units.data \
+	   unit--1.sql unit--1--2.sql \
+	   unit--2.sql
+DATA_built = unit--2--3.sql unit--3.sql \
+			 unit--3--4.sql unit--4.sql
+REGRESS = extension tables unit unicode prefix units temperature functions derived compare aggregate iec custom
+EXTRA_CLEAN = unitparse.yy.* powers powers.o unit-*.dump # unitparse.tab.*
+
+# avoid add/mult contraction so '-459.67 °F' is really '0 K'
+# problem visible on ppc64el Ubuntu trusty..zesty (Debian unaffected)
+PG_CPPFLAGS += -ffp-contract=off
 
 PG_CONFIG = pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
@@ -15,6 +22,9 @@
 ifeq ($(HAS_CROSSTAB),yes)
 REGRESS += crosstab convert
 endif
+
+# upgrade testing, not enabled by default
+#REGRESS += upgrade
 
 unit.o: unit.c unit.h defined_units.h float8out_internal.h
 
@@ -33,9 +43,13 @@
 
 unitparse.tab.o: unit.h defined_units.h
 
-# test program
-unittest: unitparse.yy.o unitparse.tab.o unittest.o
-	gcc -o $@ $^ -lm
+%.sql: %.sql.in
+	sed -e "s!@MODULEDIR@!$(datadir)/$(datamoduledir)!g" $< > $@
+
+# unit definitions from GNU units
+definitions.units.patched: definitions.units definitions.units.patch
+	cp $< $@
+	patch $@ definitions.units.patch
 
 # powers-of-10 template
 powers: powers.c

=== debian/changelog ===
postgresql-unit (4.0) unstable; urgency=medium

  * Support exponents written using Unicode superscript characters.
  * Report 22P02/invalid_text_representation on invalid unit input.
  * Fix crash when unit_reset() runs into an OOM error. Patch by Andreas
    Seltenreich, thanks!
  * Change @ operator signature to (unit, text).

 -- Christoph Berg <myon@debian.org>  Fri, 07 Jul 2017 21:42:13 +0200

postgresql-unit (3.1) experimental; urgency=medium

  * Reupload to Debian, the 3.0 tarball uploaded contained generated files
    that broke out-of-tree builds. No source changes.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Mar 2017 11:25:43 +0100

postgresql-unit (3.0) experimental; urgency=medium

  * Support defining new units at runtime.
  * Import unit definitions from GNU units.
  * Add sqrt() and cbrt() functions.
  * Extension is not relocatable after installation anymore.
  * Bump extension version to 3.
  * Bump minimum supported PostgreSQL version to 9.5 so we can use
    hash_create(HASH_BLOBS).
  * Bump license to GPL-3+ to match GNU units' license.

 -- Christoph Berg <myon@debian.org>  Wed, 22 Mar 2017 18:33:22 +0100

## postgresql-unit 5.0

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,9 @@
 	   unit--1.sql unit--1--2.sql \
 	   unit--2.sql
 DATA_built = unit--2--3.sql unit--3.sql \
-			 unit--3--4.sql unit--4.sql
-REGRESS = extension tables unit unicode prefix units temperature functions derived compare aggregate iec custom
+			 unit--3--4.sql unit--4.sql \
+			 unit--4--5.sql unit--5.sql
+REGRESS = extension tables unit unicode prefix units temperature functions round derived compare aggregate iec custom
 EXTRA_CLEAN = unitparse.yy.* powers powers.o unit-*.dump # unitparse.tab.*
 
 # avoid add/mult contraction so '-459.67 °F' is really '0 K'
@@ -23,7 +24,7 @@
 REGRESS += crosstab convert
 endif
 
-# upgrade testing, not enabled by default
+# upgrade testing, not enabled by default (needs extension actually installed)
 #REGRESS += upgrade
 
 unit.o: unit.c unit.h defined_units.h float8out_internal.h

## postgresql-unit 6.0

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,8 @@
 	   unit--2.sql
 DATA_built = unit--2--3.sql unit--3.sql \
 			 unit--3--4.sql unit--4.sql \
-			 unit--4--5.sql unit--5.sql
+			 unit--4--5.sql unit--5.sql \
+			 unit--5--6.sql unit--6.sql
 REGRESS = extension tables unit unicode prefix units temperature functions round derived compare aggregate iec custom
 EXTRA_CLEAN = unitparse.yy.* powers powers.o unit-*.dump # unitparse.tab.*

## postgresql-unit 7.1

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,10 @@
 DATA_built = unit--2--3.sql unit--3.sql \
 			 unit--3--4.sql unit--4.sql \
 			 unit--4--5.sql unit--5.sql \
-			 unit--5--6.sql unit--6.sql
-REGRESS = extension tables unit unicode prefix units temperature functions round derived compare aggregate iec custom
+			 unit--5--6.sql unit--6.sql \
+			 unit--6--7.sql unit--7.sql
+REGRESS = extension tables unit binary unicode prefix units time temperature functions round derived compare aggregate iec custom
+# Jessie's and trusty's bison (3.0.2) is buggy, ship pregenerated .tab files
 EXTRA_CLEAN = unitparse.yy.* powers powers.o unit-*.dump # unitparse.tab.*
 
 # avoid add/mult contraction so '-459.67 °F' is really '0 K'
@@ -19,8 +21,7 @@
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
-PG_VERSION_NUM = $(shell awk '/PG_VERSION_NUM/ { print $$3 }' $(shell $(PG_CONFIG) --includedir-server)/pg_config.h)
-HAS_CROSSTAB = $(shell [ $(PG_VERSION_NUM) -ge 90600 ] && echo yes)
+HAS_CROSSTAB = $(shell [ $(VERSION_NUM) -ge 90600 ] && echo yes)
 ifeq ($(HAS_CROSSTAB),yes)
 REGRESS += crosstab convert
 endif
@@ -35,13 +36,8 @@
 
 unitparse.yy.o: unit.h defined_units.h unitparse.tab.c # actually unitparse.tab.h
 
-unitparse.tab.c: unitparse.y
-ifneq ($(shell bison --version | grep 'Bison..2'),)
-	echo "### bison 2 detected, using pre-built unitparse.tab.c and .h files ###" # remove this hack once wheezy and precise are gone
-	touch $@
-else
+unitparse.tab.c unitparse.tab.h: unitparse.y
 	bison -d $<
-endif
 
 unitparse.tab.o: unit.h defined_units.h

=== debian/watch ===
version=4
https://github.com/ChristophBerg/postgresql-unit/releases .*/([0-9.]*).tar.gz

## postgresql-unit 7.2

=== debian/changelog ===
postgresql-unit (7.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 14:33:26 +0100

postgresql-unit (7.2-1) unstable; urgency=medium

  * Rewire PostgreSQL 12's new extra_float_digits=1 default internally to 0 to
    keep nice, short decimal representations.

 -- Christoph Berg <myon@debian.org>  Mon, 20 May 2019 13:38:02 +0200

postgresql-unit (7.1-1) unstable; urgency=medium

  * Import definitions.unit 2.44 from units 2.18 with 36 new units.
  * Adjust powers.h to round "1" down by one ULP.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 03 Dec 2018 09:51:31 +0100

postgresql-unit (7.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * Use source format 3.0 again.

 -- Christoph Berg <myon@debian.org>  Thu, 11 Oct 2018 22:58:03 +0200

postgresql-unit (7.0-1) unstable; urgency=medium

  * Format time using commonyears + days + hh:mm:ss.sss s.
  * Avoid using Gs for Gigaseconds, that's actually gauss.
  * Modify @(unit, text) operator to return text instead of cstring.
  * Import definitions.units from GNU units 2.17 with 13 new units.
  * Add π to known units.
  * Remove bison 2 compat mode, but keep pregenerated files for jessie and
    trusty.
  * Support send/receive via the binary protocol.
  * Support Infinity and NaN.
  * Add strict comparison operators that error out when dimensions of
    arguments do not match: << <<= == <<>> >>= >>.
  * Add range type over units: unitrange.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 28 Sep 2018 15:12:50 +0200

postgresql-unit (6.0-1) unstable; urgency=medium

  * Add @@ operator: similar to @, but returns the value of the resulting unit
    as double precision number.
  * Fix parsing of addition/subtraction in unit values.
  * Grant SELECT on unit prefixes and units table to public.
  * Add unit_load() function to load/update the data tables.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 07 Mar 2018 09:30:42 +0100

postgresql-unit (5.0-1) unstable; urgency=medium

  * Add rounding function.
  * Import definitions.units from GNU units 2.16 with 70 new units.
    (The file header erroneously says 2.19.)
  * debian/watch: Ignore debian/ tags.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 10 Jan 2018 12:16:58 +0100

postgresql-unit (4.0-2) unstable; urgency=medium

  * Upload with PostgreSQL 10 support.
  * Mark package as non-native and add watch file.

 -- Christoph Berg <myon@debian.org>  Wed, 27 Sep 2017 20:42:41 +0200

=== debian/control ===
Source: postgresql-unit
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 bison (>> 2:3),
 debhelper (>> 9),
 flex,
 postgresql-server-dev-all (>= 153~),
Standards-Version: 4.2.0
Vcs-Git: https://github.com/ChristophBerg/postgresql-unit.git
Vcs-Browser: https://github.com/ChristophBerg/postgresql-unit
Homepage: https://github.com/ChristophBerg/postgresql-unit

Package: postgresql-12-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-unit

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v

%:
	dh $@

## postgresql-unit 7.3

=== debian/changelog ===
postgresql-unit (7.3-1.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 19 Oct 2020 21:48:27 +0200

postgresql-unit (7.3-1) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 21:48:27 +0200

=== debian/control ===
Source: postgresql-unit
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 bison (>> 2:3),
 debhelper-compat (= 13),
 flex,
 postgresql-all (>= 217~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://github.com/df7cb/postgresql-unit.git
Vcs-Browser: https://github.com/df7cb/postgresql-unit
Homepage: https://github.com/df7cb/postgresql-unit

Package: postgresql-9.5-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

Package: postgresql-9.6-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

Package: postgresql-10-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

Package: postgresql-11-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

Package: postgresql-12-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

Package: postgresql-13-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

=== debian/watch ===
version=4
https://github.com/df7cb/postgresql-unit/releases .*/([0-9.]*).tar.gz

## postgresql-unit 7.4

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # upgrade testing, not enabled by default (needs extension actually installed)
 #REGRESS += upgrade
 
-unit.o: unit.c unit.h defined_units.h float8out_internal.h
+unit.o: unit.c unit.h defined_units.h float8out_unit.h
 
 unitparse.yy.c: unitparse.l
 	flex -o $@ $<

=== debian/changelog ===
postgresql-unit (7.4-2.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Oct 2021 11:29:43 +0200

postgresql-unit (7.4-2) unstable; urgency=medium

  * B-D on postgresql-server-dev-all only instead of postgresql-all since we
    are not testing at build-time.
  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 11:29:43 +0200

postgresql-unit (7.4-1) experimental; urgency=medium

  * Fix hash table creation on PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Thu, 20 May 2021 17:27:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,14 @@
 Maintainer: Christoph Berg <myon@debian.org>
 Build-Depends:
  bison (>> 2:3),
- debhelper-compat (= 13),
+ debhelper (>= 10),
  flex,
- postgresql-all (>= 217~),
+ postgresql-server-dev-all (>= 217~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://github.com/df7cb/postgresql-unit.git
 Vcs-Browser: https://github.com/df7cb/postgresql-unit
 Homepage: https://github.com/df7cb/postgresql-unit
-
-Package: postgresql-9.5-unit
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
-Description: SI Units for PostgreSQL
- postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
- base units can be combined to named and unnamed derived units using operators
- defined in the PostgreSQL type system. SI prefixes are used for input and
- output, and quantities can be converted to arbitrary scale.
 
 Package: postgresql-9.6-unit
 Architecture: any
@@ -66,3 +57,12 @@
  base units can be combined to named and unnamed derived units using operators
  defined in the PostgreSQL type system. SI prefixes are used for input and
  output, and quantities can be converted to arbitrary scale.
+
+Package: postgresql-14-unit
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
+Description: SI Units for PostgreSQL
+ postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
+ base units can be combined to named and unnamed derived units using operators
+ defined in the PostgreSQL type system. SI prefixes are used for input and
+ output, and quantities can be converted to arbitrary scale.

## postgresql-unit 7.5~20220627.1458-1~1.git8db54b4.pgdg20.04+1

=== debian/changelog ===
postgresql-unit (7.5~20220627.1458-1~1.git8db54b4.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 18 May 2022 16:11:56 +0200

postgresql-unit (7.5-1) unstable; urgency=medium

  * Use "create" without "or replace" in extension sql scripts.
    Fixes security issue spotted by Sven Klemm, thanks!
  * Update definitions.units to September 2020 Version 3.09 from GNU units.
  * Breaking change: 'h' is the Planck constant now; use 'hr' for hours.
  * Implement functions in input language: sqrt exp ln log2 asin tan.

 -- Christoph Berg <myon@debian.org>  Wed, 18 May 2022 16:11:56 +0200

## postgresql-unit 7.5~20220627.1458-1~1.git8db54b4.pgdg22.04+1

=== debian/changelog ===
postgresql-unit (7.5~20220627.1458-1~1.git8db54b4.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 18 May 2022 16:11:56 +0200

## postgresql-unit 7.5~20220627.1458-1~1.git8db54b4.pgdg90+1

=== debian/changelog ===
postgresql-unit (7.5~20220627.1458-1~1.git8db54b4.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 18 May 2022 16:11:56 +0200

## postgresql-unit 7.5~20220627.1458-1~1.git8db54b4.pgdg100+1

=== debian/changelog ===
postgresql-unit (7.5~20220627.1458-1~1.git8db54b4.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 18 May 2022 16:11:56 +0200

## postgresql-unit 7.5~20220627.1458-1~1.git8db54b4.pgdg110+1

=== debian/changelog ===
postgresql-unit (7.5~20220627.1458-1~1.git8db54b4.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 18 May 2022 16:11:56 +0200

## postgresql-unit 7.5~20220627.1458-1~1.git8db54b4.pgdg120+1

=== debian/changelog ===
postgresql-unit (7.5~20220627.1458-1~1.git8db54b4.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 18 May 2022 16:11:56 +0200

## postgresql-unit 7.5~20220627.1458-1~1.git8db54b4.pgdg+1

=== debian/changelog ===
postgresql-unit (7.5~20220627.1458-1~1.git8db54b4.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 18 May 2022 16:11:56 +0200

## postgresql-unit 7.5

=== debian/changelog ===
postgresql-unit (7.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:48:19 +0200

=== debian/control ===
Source: postgresql-unit
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 bison (>> 2:3),
 debhelper-compat (= 13),
 flex,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://github.com/df7cb/postgresql-unit.git
Vcs-Browser: https://github.com/df7cb/postgresql-unit
Homepage: https://github.com/df7cb/postgresql-unit

Package: postgresql-15-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

## postgresql-unit 7.7

=== debian/changelog ===
postgresql-unit (7.7-1) unstable; urgency=medium

  * Fix printing of values around 1e33 on i386.

 -- Christoph Berg <myon@debian.org>  Fri, 06 Jan 2023 17:34:42 +0200

postgresql-unit (7.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on bison.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Christoph Berg ]
  * Import definitions.units September 2022 Version 3.15.
  * Add R ronna, Q quetta, r ronto, Q quecto, Ri robi, Qi quebi prefixes.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Jan 2023 20:42:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Christoph Berg <myon@debian.org>
 Build-Depends:
- bison (>> 2:3),
+ bison,
  debhelper-compat (= 13),
  flex,
  postgresql-server-dev-all (>= 217~),

## postgresql-unit 7.8

=== debian/changelog ===
postgresql-unit (7.8-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 18 Sep 2023 22:22:20 +0200

postgresql-unit (7.8-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:22:20 +0200

=== debian/control ===
Source: postgresql-unit
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 bison,
 debhelper-compat (= 13),
 flex,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://github.com/df7cb/postgresql-unit.git
Vcs-Browser: https://github.com/df7cb/postgresql-unit
Homepage: https://github.com/df7cb/postgresql-unit

Package: postgresql-10-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

Package: postgresql-11-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

Package: postgresql-12-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

Package: postgresql-13-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

Package: postgresql-14-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

Package: postgresql-15-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

Package: postgresql-16-unit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

## postgresql-unit 7.9

=== debian/changelog ===
postgresql-unit (7.9-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 13:58:15 +0200

## postgresql-unit 7.10

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 			 unit--4--5.sql unit--5.sql \
 			 unit--5--6.sql unit--6.sql \
 			 unit--6--7.sql unit--7.sql
-REGRESS = extension tables unit binary unicode prefix units time temperature functions round derived compare aggregate iec custom
+REGRESS = extension tables unit binary unicode prefix units time temperature functions language_functions round derived compare aggregate iec custom
 # Jessie's and trusty's bison (3.0.2) is buggy, ship pregenerated .tab files
 EXTRA_CLEAN = unitparse.yy.* powers powers.o unit-*.dump # unitparse.tab.*

=== debian/changelog ===
postgresql-unit (7.10-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117334)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 23:47:48 +0200

postgresql-unit (7.10-1) unstable; urgency=medium

  * Import definitions.units November 2024 Version 3.22.
  * Also import elements.units, adding some 3800 isotope weights.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Dec 2024 12:16:11 +0100

=== debian/control ===
Source: postgresql-unit
Section: database
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 bison,
 flex,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Vcs-Git: https://github.com/df7cb/postgresql-unit.git
Vcs-Browser: https://github.com/df7cb/postgresql-unit
Homepage: https://github.com/df7cb/postgresql-unit

Package: postgresql-18-unit
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: SI Units for PostgreSQL
 postgresql-unit implements a PostgreSQL datatype for SI units, plus byte. The
 base units can be combined to named and unnamed derived units using operators
 defined in the PostgreSQL type system. SI prefixes are used for input and
 output, and quantities can be converted to arbitrary scale.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	# defer testing to autopkgtest, the data tables are not in /usr/share/postgresql yet

%:
	dh $@ --with pgxs

=== debian/watch ===
version=4
https://github.com/df7cb/postgresql-unit/tags .*/([0-9.]*).tar.gz
